package nl.amis.football.gantt.model;


import java.util.ArrayList;
import java.util.List;

public class Competition {
    
    private List<YearResult> results = new ArrayList<YearResult>();
    String identifier;

    public Competition(String identifier) {
        super();
        this.identifier = identifier;
    }

    public void setResults(List<YearResult> results) {
        this.results = results;
    }

    public static void showResults(List<YearResult> results) {
            for (YearResult result:results) {
                System.out.println(result.getYear()+" - "+result.getPosition()+". "+result.getTeamIdentifier()+" end:"+result.getEndDate());
            }
        }


    public List<YearResult> getResults() {
        return results;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public String getIdentifier() {
        return identifier;
    }
}
