package nl.amis.football.gantt.view;

import oracle.adf.view.faces.bi.component.gantt.TaskbarFormat;
import oracle.adf.view.faces.bi.component.gantt.TaskbarFormatManager;
import oracle.adf.view.faces.bi.component.gantt.UISchedulingGantt;

public class FootballGanttManager {

    UISchedulingGantt ganttChart;

    public void setGanttChart(UISchedulingGantt ganttChart) {
        this.ganttChart = ganttChart;
        createNewTask(ganttChart.getTaskbarFormatManager(), "Gold","#CFB53B");
        createNewTask(ganttChart.getTaskbarFormatManager(), "Silver","#E6E8FA");
        createNewTask(ganttChart.getTaskbarFormatManager(), "Bronze", "#A67D3D");
    }

    public UISchedulingGantt getGanttChart() {
        return ganttChart;
    }

    public static void createNewTask(TaskbarFormatManager taskbarFormatManager,
        String taskName, String colorCode) {
        TaskbarFormat taskbarFormat = null;
            taskbarFormat =
                    new TaskbarFormat(taskName, colorCode, null, colorCode,23);
        taskbarFormatManager.registerTaskbarFormat(taskName, taskbarFormat);
    }


}
